#ifndef GAME_INFO_H
#define GAME_INFO_H

#define GAME_STATE_MAX_LEN 5

/// @brief Sets the game state, used for the header.
///
/// Must be <= 5 characters
void set_game_state(const char* new_state);

/// @brief Resets the game state to be blank.
void reset_game_state();

/// @brief Prints the game state section of the header to the char_lcd. (row 0, columns 11-15)
void lcd_print_header_step();

#endif /* GAME_INFO_H */